# Desktop Themer: Save
# Author: Ejas (ejasmudar@gmail.com)
#	Script to backup dekstop theme
# version 0.1

# Some code taken from src code of actman_v1.1

ODIR=$PWD

APPLETBASE="/apps/osso/hildon-desktop/applets"
VIEWSBASE="/apps/osso/hildon-desktop/views"
HHBASE="/apps/osso/hildon-home"
#CONTACTS="/apps/osso-addressbook/home-applets"
HOMEPLUGINS="$HOME/.config/hildon-desktop/home.plugins"
THUMBNAILS="$HOME/.bookmarks/home-thumbnails/"

mkdir $HOME/MyDocs/desktop-themer

mainfolder="$HOME/MyDocs/desktop-themer"

echo "Enter Name for saving theme:"
read thmname

mkdir "$mainfolder/tmp"

DSTDIR=$mainfolder/tmp

echo "Creating Dir.....OK"

mkdir "$DSTDIR/backgrounds"

cp $HOME/.backgrounds/*.* $DSTDIR/backgrounds/
echo  "Wallpapers.....OK"

gconftool-2 -g "$HHBASE/bookmark-shortcuts" > $DSTDIR/bookmark-shortcuts
echo  "Bookmarks.....OK"

gconftool-2 -g "$HHBASE/task-shortcuts" > $DSTDIR/task-shortcuts
echo  "Task-Shortcuts.....OK"

#gconftool-2 -g "$CONTACTS" > $DSTDIR/contacts
#echo  "Contacts.....OK"

gconftool-2 --dump "$HHBASE/bookmarks" > $DSTDIR/bookmarks.dump
echo  "Bookmarks.....OK"

gconftool-2 --dump "$APPLETBASE" > $DSTDIR/applets.dump
echo  "Applets.....OK"

cp $HOME/.queen_beecon $DSTDIR/
echo  "QBW.....OK"


gconftool-2 --dump "$VIEWSBASE" > $DSTDIR/views.dump
echo  "Desktops.....OK"

# Save plugins/applets
[ -e "$HOMEPLUGINS" ] && cp $HOMEPLUGINS "$DSTDIR/home.plugins"
echo  "Plugins.....OK"

# Save bookmark thumbnails
if [ -e "$THUMBNAILS" ] ; then
		tar -zcf $DSTDIR/home-thumbnails.tar.gz -C "$THUMBNAILS" .
		echo "Thumbnails.....OK"
fi
	
cd $mainfolder

#tar -cvjf "$mainfolder/$thmname".tar.bz2 `find $mainfolder -name 'tmp'`

tar -cjf "$thmname".tar.bz2 tmp/

rm -r tmp/

cd $ODIR	
echo "Finished Saving Theme-$thmname"